Subject: Re: bug#41281: guix package -i guile-dbi failed

From: zimoun <[email-masked]>
Date: Fri, 15 May 2020 16:27:56 +0200

Please keep CC the bug.

> guile   2.2.7   out     /gnu/store/jgl9d4axpavsv83z2f1z1himnkbsxxqj-guile-2.2.7
> guile-readline  3.0.2   out     /gnu/store/va6l1ivclww22fi38w5h99pb4ndn99hg-guile-readline-3.0.2

The issue is incompatibilites between versions of Guile.

Does the command:

    guix install guile@2 guile-dbi

fix the issue?

Otherwise, you can try '--allow-collisions':

   guix package -i guile guile-dbi --allow-collisions

Hope that helps
simon

On Fri, 15 May 2020 at 13:57, Wensheng Xie <[email-masked]> wrote:
>
> Thanks for helping.
>
> I do want to update my default profile, but I am not sure what to do.
> Is that
> guix pull
> sudo guix system reconfigure /etc/config.scm --roll-back
> ?
>
> I list all the packages here:
> guix package --list-installed
> glibc-locales   2.29    out     /gnu/store/03nvilh2x4z07dxv7h13gh986vvgpnsf-glibc-locales-2.29
> font-wqy-zenhei 0.9.45  out     /gnu/store/y6b1irimsy6h9sh6qa60wbcpdln2ipa0-font-wqy-zenhei-0.9.45
> gs-fonts        8.11    out     /gnu/store/8ppj83wc1mmrdydh9cy7vqvg0bym8l0q-gs-fonts-8.11
> font-dejavu     2.37    out     /gnu/store/yr42nyxrqkh89fanvii82br6qil4zcbx-font-dejavu-2.37
> font-gnu-freefont       20120503        out     /gnu/store/1nfp73g3s15dhpqjrbfsihk7jrcbbl1p-font-gnu-freefont-20120503
> fontconfig      2.13.1  out     /gnu/store/rkq6ipys8hf5hw66jkzzw4nfr6ncq96a-fontconfig-2.13.1
> emacs-guix      0.5.2   out     /gnu/store/dp2d0lf873nbmczz7604slmgn33q0f1n-emacs-guix-0.5.2
> gnutls  3.6.A   out     /gnu/store/zr6i9jnfv2sw00r59kdpk2jgkj98k3rp-gnutls-3.6.A
> openssh 8.2p1   out     /gnu/store/qs2v467ly3sxpb7z1wg264pbd4fpw5y9-openssh-8.2p1
> sbcl    2.0.4   out     /gnu/store/zn9krk9dw6akmggkq7pr2m6kq8n8gzz6-sbcl-2.0.4
> git     2.26.2  out     /gnu/store/abqiwgyzlwjz16vd9gvmlnq8zcy12b2l-git-2.26.2
> next    0.0.0   out     /gnu/store/pacnz3wm1skm8aqrx8r3bmlg4gl9bc4k-next-0.0.0
> curl    7.65.3  out     /gnu/store/mga3agwdczh90mjirmpcwsmgjb47mim3-curl-7.66.0
> ibus-rime       1.4.0   out     /gnu/store/ky9zr1zk2vkiv202k2fv5l3xd7pxi6kr-ibus-rime-1.4.0
> aspell  0.60.6.1        out     /gnu/store/4xck8jrf3r7ciwabzlqfrs1lm1qqrlx4-aspell-0.60.6.1
> tar     1.32    out     /gnu/store/jh17p4sns7dvbizwz58gdh953qpic144-tar-1.32
> make    4.2.1   out     /gnu/store/crxfavi9hd3r6sr7sghwgmk7600b91ar-make-4.2.1
> aspell-dict-en  2019.10.06-0    out     /gnu/store/vmv5z8qnd436pnshqihh26mi89rld9sg-aspell-dict-en-2019.10.06-0
> aspell-dict-de  20161207-7-0    out     /gnu/store/g68fwnj8ycnwydf0qgqydaq3yql8gvp9-aspell-dict-de-20161207-7-0
> ibus    1.5.22  out     /gnu/store/h2pa9dr52sn0wslga6v550r6iyls9fhi-ibus-1.5.22
> ibus-libpinyin  1.11.1  out     /gnu/store/agybdpmi1h2nr9pwvd7wi6qyknv00iy6-ibus-libpinyin-1.11.1
> gnupg   2.2.20  out     /gnu/store/ny42nh1wdc3qw54wnrsc211bc1cfmjha-gnupg-2.2.20
> autoconf        2.69    out     /gnu/store/wqg1phrny7vdc6ns7qxb0d7rq8j1bwmw-autoconf-2.69
> gettext 0.20.1  out     /gnu/store/yw1fmklqx9cz2kwqv7351gyymsnrw3vb-gettext-0.20.1
> automake        1.16.2  out     /gnu/store/vmpfx41rl3phx1s9xmag8b7ww2zvvf32-automake-1.16.2
> wget    1.20.3  out     /gnu/store/dxmnbqci4041b1z8sl05lyyiivdp0ga5-wget-1.20.3
> texinfo 6.7     out     /gnu/store/ihj2a1ji2q8wbrkrfjl5km6gc7d9g42j-texinfo-6.7
> graphviz        2.40.1  out     /gnu/store/31ncq87d995d3cx3lq4i939nn04n6bym-graphviz-2.40.1
> help2man        1.47.13 out     /gnu/store/hwjj91m9zbc2q48m4kmvdi6sf68lkc57-help2man-1.47.13
> emacs   26.3    out     /gnu/store/1bhcrn0s3cbqcqa9k2rmh4cqyk8d0fd7-emacs-26.3
> guile   2.2.7   out     /gnu/store/jgl9d4axpavsv83z2f1z1himnkbsxxqj-guile-2.2.7
> emacs-geiser    0.11.2  out     /gnu/store/sil5d94sxsqm2bay2l1qflgg8zlsk3q6-emacs-geiser-0.11.2
> guile-readline  3.0.2   out     /gnu/store/va6l1ivclww22fi38w5h99pb4ndn99hg-guile-readline-3.0.2
> postgresql      11.6    out     /gnu/store/lrll3ibqags97g2hmjv4az9g1xif42g4-postgresql-11.6
>
> best regards,
> wxie